## org.apache.lucene.benchmark.byTask.feeds
Class LongToEnglishContentSource

    java.lang.Object
      org.apache.lucene.benchmark.byTask.feeds.ContentSource
          org.apache.lucene.benchmark.byTask.feeds.LongToEnglishContentSource

    public class LongToEnglishContentSource

extends ContentSource

Creates documents whose content is a `long` number starting from ``Long.MIN_VALUE` + 10`.

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource
`encoding, forever, logStep, verbose`

Constructor Summary
`LongToEnglishContentSource()`

Method Summary
`void` `close()` Called when reading from this content source is no longer required.
`DocData` `getNextDocData(DocData docData)` Returns the next `DocData` from the content source.
`void` `resetInputs()` Resets the input for this content source, so that the test would behave as if it was just started, input-wise.

Methods inherited from class org.apache.lucene.benchmark.byTask.feeds.ContentSource
`addBytes, addDoc, collectFiles, getBytesCount, getConfig, getDocsCount, getTotalBytesCount, getTotalDocsCount, setConfig, shouldLog`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LongToEnglishContentSource

    public LongToEnglishContentSource()

Method Detail

### close

    public void close()
               throws IOException

  Description copied from class: `ContentSource`
  Called when reading from this content source is no longer required.

  Specified by:
    `close` in class `ContentSource`
  Throws:
    `IOException`

### getNextDocData

    public DocData getNextDocData(DocData docData)
                           throws NoMoreDataException,
                                  IOException

  Description copied from class: `ContentSource`
  Returns the next `DocData` from the content source.

  Specified by:
    `getNextDocData` in class `ContentSource`
  Throws:
    `NoMoreDataException`
    `IOException`

### resetInputs

    public void resetInputs()
                     throws IOException

  Description copied from class: `ContentSource`
  Resets the input for this content source, so that the test would behave as if it was just started, input-wise.

  NOTE: the default implementation resets the number of bytes and documents generated since the last reset, so it's important to call super.resetInputs in case you override this method.

  Overrides:
    `resetInputs` in class `ContentSource`
  Throws:
    `IOException`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.